Bug 521952 - krb5-auth-dialog reads from the disk excessively
Summary: krb5-auth-dialog reads from the disk excessively
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: wakeup 454582
TreeView+ depends on / blocked
 
Reported: 2009-09-08 20:06 UTC by Mike Gahagan
Modified: 2011-06-27 14:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:22:21 UTC


Attachments (Terms of Use)

Description Mike Gahagan 2009-09-08 20:06:29 UTC
Description of problem:
Noticing a number of very small disk reads from krb5-auth-dialog, it seems to make no difference if one has a kerberos ticket or not, just having krb5-auth-dialog appears to generate enough disk activity to prevent disks from shutting down and other powersaving measures.

Version-Release number of selected component (if applicable):
F11+ updates (as of Sept 8 2009) 
Sept 8 rawhide
krb5-auth-dialog-0.12-1.fc12.x86_64

How reproducible:
fairly frequently, seems to require a valid kerberos ticket, once you have a ticket, I'm seeing the occational disk access until krb5-a-d is terminated. When clearing the ticket cache via krb5-a-d, the ticket is destroyed but the disk reads continue.

Steps to Reproduce:
1. Authenticate to kerberos to get a ticket
2. start krb-auth-config
3. run diskdevstat
  
Actual results:
  PID   UID DEV     WRITE_CNT WRITE_MIN WRITE_MAX WRITE_AVG    READ_CNT  READ_MIN  READ_MAX  READ_AVG COMMAND        
 6571     0 dm-0            0     0.000     0.000     0.000          85     0.000     0.830     0.011 crond          
 6591     0 dm-0            0     0.000     0.000     0.000          52     0.000     0.031     0.001 sendmail       
 6560   500 dm-0            0     0.000     0.000     0.000          17     0.000    30.001     1.764 krb5-auth-dialo


for me krb5-auth-dialog ends up in the top 5 processes on an idle system most of the time.

Expected results:

krb5-auth-dialog should use the disk less, or at least wake up the disk much less frequently.

Additional info:

Comment 1 Mike Gahagan 2009-09-11 19:59:12 UTC
I'm also seeing the applet apperently cause roughly 150 CPU wake-ups/sec, in my VM guest, when I quit the applet, the number of wake-ups drops to around 30/sec.

Comment 2 Bug Zapper 2009-11-16 12:04:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-03-15 12:48:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-02 17:46:15 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jan Kaluža 2011-06-15 11:38:10 UTC
Just a note. I have checked current state and krb5-auth-dialog checks whether the credentials hasn't been renewed every 30 seconds. This is causing those "reads" from disc. That timeout can be increased during compilation.

I wasn't able to reproduce cpu wakeups mentioned in comments above using powertop.

Comment 6 Bug Zapper 2011-06-27 14:22:21 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.